package de.mcs.utils;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class TestTimeHelper {

  @Test
  public void test() {
    long value = 234;
    long expected = value * 1000;

    assertEquals(expected, TimeHelper.sec2millis(value));
    expected = expected * 60;
    assertEquals(expected, TimeHelper.min2millis(value));
    expected = expected * 60;
    assertEquals(expected, TimeHelper.hour2millis(value));

    value = 234 * 1000 * 60 * 60;
    expected = value / 1000;
    assertEquals(expected, TimeHelper.millis2sec(value));
    expected = expected / 60;
    assertEquals(expected, TimeHelper.millis2min(value));
    expected = expected / 60;
    assertEquals(expected, TimeHelper.millis2hour(value));

    value = 234;
    expected = value * 60;
    assertEquals(expected, TimeHelper.min2sec(value));
    expected = expected * 60;
    assertEquals(expected, TimeHelper.hour2sec(value));
  }
}
